## org.apache.myfaces.renderkit.html.util
Class AutoScrollPhaseListener

    java.lang.Object
      org.apache.myfaces.renderkit.html.util.AutoScrollPhaseListener

All Implemented Interfaces:
  java.util.EventListener, javax.faces.event.PhaseListener, java.io.Serializable

public class AutoScrollPhaseListener
extends java.lang.Object
implements javax.faces.event.PhaseListener

This Phase listener is necessary for the autoscroll feature. Its only purpose is to determine the former viewId and store it in request scope so that we can later determine if a navigation has happened during rendering.

See Also:
  Serialized Form

Constructor Summary
`AutoScrollPhaseListener()`

Method Summary
`void` `afterPhase(javax.faces.event.PhaseEvent event)`
`void` `beforePhase(javax.faces.event.PhaseEvent event)`
`javax.faces.event.PhaseId` `getPhaseId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoScrollPhaseListener

    public AutoScrollPhaseListener()

Method Detail

### getPhaseId

    public javax.faces.event.PhaseId getPhaseId()

  Specified by:
    `getPhaseId` in interface `javax.faces.event.PhaseListener`

### beforePhase

    public void beforePhase(javax.faces.event.PhaseEvent event)

  Specified by:
    `beforePhase` in interface `javax.faces.event.PhaseListener`

### afterPhase

    public void afterPhase(javax.faces.event.PhaseEvent event)

  Specified by:
    `afterPhase` in interface `javax.faces.event.PhaseListener`